#
# Common targets for tkcustomsynth plugin on all platforms
#

#
# Show tkcustomsynth-specific help
#
help_tkcustomsynth:
	@echo "          ui.tsl : build customsynth.tsl and install to \"$(TKS_PREFIX)/libraries/\"."

HELP_RULES += help_tkcustomsynth


#
# Rule for building and installing the customsynth.tsl script library
#
customsynth.tsl: *.tks customsynth.tkp
	$(TKS) -cl customsynth


clean_tsl:
	$(RM) customsynth.tsl

#
# Install script library
#
install_tsl: customsynth.tsl
	cp customsynth.tsl "$(TKS_SITE_PREFIX)/libraries/"
	@echo "[...] customsynth.tsl installed to \"$(TKS_SITE_PREFIX)/libraries/\".";

INSTALL_RULES += install_tsl

REALCLEAN_RULES += clean_tsl


